/* ================ */

/* ボタン(右線あり) */

/* ================ */
.button-line {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 11.25rem;
  height: 3.375rem;
  padding-right: 0.75rem;
  border: 2px solid var(--Red-800_main);
  border-radius: 4px;
  transition: border 0.3s;
  padding-block: 0.9375rem 1rem;
}

.button-line p {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 1.25rem;
  font-weight: 600;
  line-height: 1.2;
  letter-spacing: 0.04em;
  color: var(--Red-800_main);
  transition:
    left 0.3s,
    color 0.3s;
  transform: translate(-50%, -50%);
}

.button-line::after {
  position: absolute;
  top: 47%;
  right: 0;
  width: 2.59375rem;
  height: 2px;
  background-color: var(--Red-800_main);
  transition:
    border-color 0.3s,
    right 0.3s;
  content: '';
  transform: translate(50%, -50%);
}

@media (hover: hover) {
  .button-line:hover {
    border-color: var(--Red-500_main);
  }

  .button-line:hover p {
    left: calc(50% + 2px);
    color: var(--Red-500_main);
  }

  .button-line:hover::after {
    right: -0.4375rem;
    background-color: var(--Red-500_main);
  }
}

.button-line:focus-visible {
  color: var(--Red-500_main);
  border-color: transparent;
}

.button-line:focus-visible::after {
  right: -0.4375rem;
  background-color: var(--Red-500_main);
}
